Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020641
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2012-05-30 13:552012-06-22 19:42
ReporteregoitzView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version3.0MP13
StatusclosedFix in branchFixed in SCM revision61fb6c14f182
ProjectionnoneETAnoneTarget Version3.0MP13
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP10.1SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020641: The password references are not working well when using them on a parameter window

DescriptionThe password references are not working well when using them on a parameter window.
If you define on a process for a jasper report a parameter using password reference, after compile the field parameter on the popup is not working as expected.
The passowrd is shown instead of using *** and then it is sent without decript
Steps To Reproduce-Define a new parameter on the purchase order report (automatic jasper report)
with password reference.
-After compile and restar open the report and on the password parameter field insert a password.
*See that is not encripted
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0049707)
alostale (developer)
2012-06-08 11:28

Provided fix modifies UI to see parameter as password field but it does not encrypt it to send the parameter to the process. Process should take care of it.

Not risky fix.

Test plan:

-Add password parameters to a process (using the 2 password references)
-Add string parameter to a process (to ensure String reference still works)
-Check new parameters work as expected:
  *Password ones are shown as html password
  *String works as it used
  * Parameters are received by the process as they were typed
(0049708)
hgbot (developer)
2012-06-08 11:29

Repository: erp/devel/pi
Changeset: 61fb6c14f18289e86df3c89242a2dafe11fdc85f
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Jun 08 11:29:00 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/61fb6c14f18289e86df3c89242a2dafe11fdc85f [^]

fixed bug 20641: Implemented password reference for proces parameters

---
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-wad/src/org/openbravo/wad/controls/WADString.java
M src-wad/src/org/openbravo/wad/controls/WADString.xml
A src-wad/src/org/openbravo/wad/controls/WADPassword.java
---
(0050047)
AugustoMauch (developer)
2012-06-22 19:42

Code reviewed and verified in pi@e62a369d2763

String parameters work as usual, and both password fields are shown as * but send unencrypted.

- Issue History
Date Modified Username Field Change
2012-05-30 13:55 egoitz New Issue
2012-05-30 13:55 egoitz Assigned To => alostale
2012-05-30 13:55 egoitz Modules => Core
2012-06-08 11:28 alostale Note Added: 0049707
2012-06-08 11:29 hgbot Checkin
2012-06-08 11:29 hgbot Note Added: 0049708
2012-06-08 11:29 hgbot Status new => resolved
2012-06-08 11:29 hgbot Resolution open => fixed
2012-06-08 11:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/61fb6c14f18289e86df3c89242a2dafe11fdc85f [^]
2012-06-22 19:42 AugustoMauch Note Added: 0050047
2012-06-22 19:42 AugustoMauch Status resolved => closed
2012-06-22 19:42 AugustoMauch Fixed in Version => 3.0MP13


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker